#
# spec file for package python-SPARQLWrapper
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-SPARQLWrapper
Version:        1.5.2
Release:        4.2
Summary:        SPARQL Endpoint interface to Python
License:        W3C
Group:          Development/Languages/Python
Url:            http://sparql-wrapper.sourceforge.net/
Source:         https://pypi.python.org/packages/source/S/SPARQLWrapper/SPARQLWrapper-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
Recommends:     python-rdflib
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
This is a wrapper around a SPARQL service. It helps in creating the
query URI and, possibly, convert the result into a more manageable
format.

%prep
%setup -q -n SPARQLWrapper-%{version}
# fix end-of-line encoding
sed -i 's/\r$//' README.txt

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.txt LICENSE.txt AUTHORS.txt ChangeLog.txt
%{python_sitelib}/SPARQLWrapper/
%{python_sitelib}/SPARQLWrapper-%{version}-py*.egg-info

%changelog
* Fri Dec  6 2013 toddrme2178@gmail.com
- Initial version (1.5.2)
